Follow

What are the system requirements for the Pro Tools First software included with my product?

Applies to: All products bundled with Pro Tools First

Below is an overview of the minimum system requirements to run Pro Tools First on your Mac or Windows Computer (provided by Avid at the link below).

 Pro Tools System Requirements

*For users running macOS Catalina, please see the following article*

Will Pro Tools | First run on macOS Catalina 10.15?

In order to check your system on Mac, go to Apple > About this Mac

In order to check your system on Windows, go to your Start Menu and search for System Information

Was this article helpful?
5 out of 10 found this helpful
Have more questions? Submit a request

Comments

Didn't find what you were looking for?

Search again using our search tool.